# Class MMCifValidationParser

java.lang.Object
org.jmol.adapter.readers.cif.MMCifValidationParser

public class MMCifValidationParser extends Object

## Constructor Summary

Constructors
Constructor
Description
`MMCifValidationParser()`

## Method Summary

Modifier and Type
Method
Description
`String`
`finalizeRna3d(Map<String,Integer> modelMap)`
`String`
`finalizeValidations(Viewer vwr, Map<String,Integer> modelMap)`
Create property_xxxx for each validation category.
`MMCifValidationParser`
`set(AtomSetCollectionReader reader)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MMCifValidationParser

public MMCifValidationParser()

## Method Details

### set

public MMCifValidationParser set(AtomSetCollectionReader reader)

### finalizeValidations

public String finalizeValidations(Viewer vwr, Map<String,Integer> modelMap)
Create property_xxxx for each validation category.

Parameters:
  `vwr` -
  `modelMap` -
Returns:
  loading note

### finalizeRna3d

public String finalizeRna3d(Map<String,Integer> modelMap)